.modal {
  @include position(fixed, $c: (top: 0, left: 0));
  z-index: 100;
  @include size(100%, 100vh);
  @include flex(flex, column, nowrap);

  &__background {
    @include position(fixed, $c: (top: 0, left: 0));
    @include size(100%, 100%);
    @include rgba(#000, .8);
  }

  &__wrapper {
    @include position(relative);
    z-index: 1;
    margin: 0 auto;
    background-color: $white;
    overflow: hidden;
  }

  &__header {
    @include position(relative);
    border-bottom: 1px solid $border;

    &:last-child {
      border: none;
    }

    &:only-child {
      border: none;
    }

    &-wrapper {

    }

    &-title {
      @include size(calc(100% - 45px));
      margin: 0 !important;
    }
  }

  &__close {
    @include position(absolute, $c: (top: 10px, right: 10px));
    @include size(45px, 45px);
  }

  &__content {
    border-bottom: 1px solid $border;

    &:last-child {
      border: none;
    }

    &:only-child {
      border: none;
    }

    &-wrapper {

    }
  }

  &__footer {
    background-color: #fafbfc;

    &:last-child {
      border: none;
    }

    &:only-child {
      border: none;
    }

    &-button {

    }
  }

  &__row {
    @include flex(flex, row, wrap);
  }

  &__justify-right {
    justify-content: flex-end;
  }

  &__first-paragraph {
    @include font(15px, 300, 1.33);
    color: #323c47;
    &:only-child {
      margin: 0 !important;
    }
  }
}

@media #{$desktop} {
  .modal {

    &__wrapper {
      @include size(960px, auto);
      border-radius: 5px;
    }

    &__header {
      padding: 20px;
    }

    &__content {
      &-wrapper {
        padding: 20px;
      }
    }

    &__footer {
      &-wrapper {
        padding: 20px;
      }
    }
  }
}

@media #{$laptop} {
  .modal {

    &__wrapper {
      @include size(960px, auto);
      border-radius: 5px;
    }

    &__header {
      padding: 20px;
    }


    &__content {
      &-wrapper {
        padding: 20px;
      }
    }

    &__footer {
      &-wrapper {
        padding: 20px;
      }
    }
  }
}

@media #{$laptop} {
  .modal {

    &__wrapper {
      @include size(85%, auto);
      border-radius: 5px;
    }

    &__header {
      padding: 20px;
    }

    &__content {
      &-wrapper {
        padding: 20px;
      }
    }

    &__footer {
      &-wrapper {
        padding: 20px;
      }
    }
  }
}

@media #{$tablet} {
  .modal {

    &__wrapper {
      @include size(85%, auto);
      border-radius: 5px;
    }

    &__header {
      padding: 20px;
    }


    &__content {
      &-wrapper {
        padding: 20px;
      }
    }

    &__footer {
      &-wrapper {
        padding: 20px;
      }
    }
  }
}

@media #{$mobile} {
  .modal {

    &__wrapper {
      @include size(100%, auto);
      border-radius: 0;
    }

    &__header {
      padding: 20px;
    }

    &__content {
      &-wrapper {
        padding: 20px;
      }
    }

    &__footer {
      &-wrapper {
        padding: 20px;
      }
    }
  }
}
